################################################################################ 
## RECIPE DESCRIPTION  
################################################################################ 

Description:
  Author: V. Agudetse
  Info: Test for recipe splitting

################################################################################
## ANALYSIS CONFIGURATION
################################################################################

Analysis:
  Horizon: Seasonal
  Variables: # ECVs and Indicators?
    - {name: tas, freq: monthly_mean}
    - {name: prlr, freq: monthly_mean}
  Datasets:
    System: # multiple systems for single model, split if Multimodel = F
      - {name: Meteo-France-System7}
      - {name: ECMWF-SEAS5}
    Multimodel: False # single option
    Reference:
      - {name: ERA5} # multiple references for single model?
  Time:
    sdate: # list, split
      - '1101'
      - '1201'
    fcst_year: '2020' # list, don't split, handled internally
    hcst_start: '1993' # single option
    hcst_end: '2016' # single option
    ftime_min: 1 # single option
    ftime_max: 6 # single option
  Region: # multiple lists, split? Add region name if length(Region) > 1
    - {name: "global", latmin: -90, latmax: 90, lonmin: 0, lonmax: 359.9}
    - {name: "nino34", latmin: -5, latmax: 5, lonmin: -10, lonmax: 60}
  Regrid:
    method: bilinear ## TODO: allow multiple methods?
    type: to_system
  Workflow:
    Anomalies:
      compute: no
    Calibration:
      method: mse_min ## TODO: list, split?
      save: 'none'
    Skill:
      metric: RPS, RPSS, CRPS, CRPSS, FRPSS, BSS10, BSS90, mean_bias, mean_bias_SS # list, don't split
      save: 'all'
    Probabilities:
      percentiles: [[1/3, 2/3], [1/10, 9/10], [1/4, 2/4, 3/4]] # list, don't split
      save: 'all'
    Visualization:
      plots: skill_metrics, most_likely_terciles, forecast_ensemble_mean
    Indicators:
      index: no # ? 
  ncores: 7
  remove_NAs: yes # bool, don't split
  Output_format: Scorecards # string, don't split

################################################################################
## Run CONFIGURATION
################################################################################
Run:
  Loglevel: INFO
  Terminal: yes
  output_dir: /esarchive/scratch/vagudets/repos/auto-s2s/out-logs/
  code_dir: /esarchive/scratch/vagudets/repos/auto-s2s/
